petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSetUseNatural

Set the flag for creating a mapping to the natural order after distribution

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetUseNatural(DM dm, PetscBool useNatural)

Collective on dm

### Input Parameters

| dm | - The DM
| useNatural | - The flag to build the mapping to a natural order during distribution

Note: This also causes the map to be build after DMCreateSubDM() and DMCreateSuperDM()

### See Also

DMGetUseNatural(), DMCreate(), DMPlexDistribute(), DMCreateSubDM(), DMCreateSuperDM()

### Level

beginner

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages